Defines | Typedefs | Functions | Variables

# usb.c File Reference

For more information on this file please refer to Programmer’s Guide: MSP430 USB API Stack for CDC/HID http://focus.ti.com/docs/prod/folders/print/msp430f5529.html#toolssoftware. More...

`#include "MSP430.h"`
`#include "..\Common\types.h"`
`#include "..\USB_Common\defMSP430USB.h"`
`#include "..\USB_Common\descriptors.h"`
`#include "..\USB_Common\usb.h"`
`#include "..\USB_CDC_API\UsbCdc.h"`
`#include "..\Common\hal_UCS.h"`
`#include "..\Common\TLV_descriptors.h"`

Go to the source code of this file.

## Defines
#define | NO_MORE_DATA 0xFFFF
## Typedefs
typedef VOID(* | tpF )(VOID)
## Functions
VOID | CdcResetData ()
VOID | HidResetData ()
VOID | USB_InitSerialStringDescriptor (VOID)
VOID | USB_initMemcpy (VOID)
BYTE | USB_init (VOID)
BYTE | USB_enable ()
BYTE | USB_disable (VOID)
BYTE | USB_setEnabledEvents (WORD events)
WORD | USB_getEnabledEvents ()
BYTE | USB_reset ()
BYTE | USB_connect ()
BYTE | USB_disconnect ()
BYTE | USB_forceRemoteWakeup ()
BYTE | USB_connectionInfo ()
BYTE | USB_connectionState ()
BYTE | USB_suspend (VOID)
BYTE | USB_resume (VOID)
VOID | usbStallEndpoint0 (VOID)
VOID | usbClearOEP0ByteCount (VOID)
VOID | usbStallOEP0 (VOID)
VOID | usbSendNextPacketOnIEP0 (VOID)
VOID | usbSendDataPacketOnEP0 (PBYTE pbBuffer)
VOID | usbReceiveNextPacketOnOEP0 (VOID)
VOID | usbReceiveDataPacketOnEP0 (PBYTE pbBuffer)
VOID | usbSendZeroLengthPacketOnIEP0 (VOID)
VOID | usbClearEndpointFeature (VOID)
VOID | usbGetConfiguration (VOID)
VOID | usbGetDeviceDescriptor (VOID)
VOID | usbGetConfigurationDescriptor (VOID)
VOID | usbGetStringDescriptor (VOID)
VOID | usbGetInterface (VOID)
VOID | usbGetDeviceStatus (VOID)
VOID | usbGetInterfaceStatus (VOID)
VOID | usbGetEndpointStatus (VOID)
VOID | usbSetAddress (VOID)
VOID | usbSetConfiguration (VOID)
VOID | usbClearDeviceFeature (VOID)
VOID | usbSetDeviceFeature (VOID)
VOID | usbSetEndpointFeature (VOID)
VOID | usbSetInterface (VOID)
VOID | usbInvalidRequest (VOID)
BYTE | usbDecodeAndProcessUsbRequest (VOID)
## Variables
WORD | wBytesRemainingOnIEP0
WORD | wBytesRemainingOnOEP0
BYTE | abUsbRequestReturnData [USB_RETURN_DATA_LENGTH]
BYTE | abUsbRequestIncomingData [USB_RETURN_DATA_LENGTH]
__no_init BYTE | abramSerialStringDescriptor [34]
BYTE | bStatusAction
BYTE | bFunctionSuspended = FALSE
BYTE | bEnumerationStatus = 0
WORD | wUsbEventMask

## Detailed Description

For more information on this file please refer to Programmer’s Guide: MSP430 USB API Stack for CDC/HID http://focus.ti.com/docs/prod/folders/print/msp430f5529.html#toolssoftware.

Author:
  Texas Instruments, Inc

Date:
  2009/06/11

Version:
  1.18 Initial Release

Note:
  Built with IAR Embedded Workbench for MSP430 Version: 5.10.1

Definition in file usb.c.

## Function Documentation

BYTE USB_disable | ( | VOID |  | ) |

Disables the USB module and PLL.

Definition at line 365 of file usb.c.

BYTE USB_enable | ( |  | ) |

Init and start the USB PLL.

Definition at line 314 of file usb.c.

BYTE USB_init | ( | VOID |  | ) |

Init the USB HW interface.

Definition at line 238 of file usb.c.

BYTE USB_reset | ( |  | ) |

Reset USB-SIE and global variables.

Definition at line 396 of file usb.c.

BYTE USB_resume | ( | VOID |  | ) |

Resume USB.

Definition at line 674 of file usb.c.

BYTE USB_suspend | ( | VOID |  | ) |

Suspend USB.

Definition at line 645 of file usb.c.

VOID usbClearOEP0ByteCount | ( | VOID |  | ) |

Clear byte counter for endpoint0 (control pipe)

Definition at line 695 of file usb.c.

BYTE usbDecodeAndProcessUsbRequest | ( | VOID |  | ) |

Decode incoming usb setup packet and call corresponding function usbDecodeAndProcessUsbRequest is called from IRQ. Do not call from user application returns TRUE to keep CPU awake

Definition at line 1266 of file usb.c.

VOID usbReceiveDataPacketOnEP0 | ( | PBYTE | pbBuffer | ) |

Receive data from control pipe. Number of bytes to receive should be set with global varible "wBytesRemainingOnOEP0" before function is called.

Definition at line 810 of file usb.c.

VOID usbReceiveNextPacketOnOEP0 | ( | VOID |  | ) |

Receive further data from control pipe if needed. Function is called from control-out IRQ. Do not call from user application

Definition at line 774 of file usb.c.

VOID usbSendDataPacketOnEP0 | ( | PBYTE | pbBuffer | ) |

Send data over control pipe to host. Number of bytes to transmit should be set with global varible "wBytesRemainingOnIEP0" before function is called.

Definition at line 756 of file usb.c.

VOID usbSendNextPacketOnIEP0 | ( | VOID |  | ) |

Send further data over control pipe if needed. Function is called from control-in IRQ. Do not call from user application

Definition at line 712 of file usb.c.

VOID usbSendZeroLengthPacketOnIEP0 | ( | VOID |  | ) |

Send zero length packet on control pipe.

Definition at line 823 of file usb.c.

VOID usbStallEndpoint0 | ( | VOID |  | ) |

Send stall handshake for in- and out-endpoint0 (control pipe)

Definition at line 687 of file usb.c.

VOID usbStallOEP0 | ( | VOID |  | ) |

Send stall handshake for out-endpoint0 (control pipe)

Definition at line 702 of file usb.c.